## API Report File for "@atlaskit/ds-explorations".

> Do not edit this file. This report is auto-generated by [API Extractor](https://api-extractor.com/).

[Learn more about API reports](https://hello.atlassian.net/wiki/spaces/UR/pages/1825484529/Package+API+Reports)

````ts
import type { CSSProperties } from 'react';
import { ElementType } from 'react';
import { FC } from 'react';
import { ForwardRefExoticComponent } from 'react';
import { HTMLAttributes } from 'react';
import { jsx } from '@emotion/react';
import { ReactNode } from 'react';
import { RefAttributes } from 'react';
import { SerializedStyles } from '@emotion/react';

declare const asAllowlist: readonly ['span', 'div', 'p'];

declare type AsElement = typeof asAllowlist[number];

declare type BackgroundColor = keyof typeof backgroundColorMap;

declare const backgroundColorMap: {
  disabled: SerializedStyles;
  'inverse.subtle': SerializedStyles;
  input: SerializedStyles;
  neutral: SerializedStyles;
  'neutral.subtle': SerializedStyles;
  'neutral.bold': SerializedStyles;
  'brand.bold': SerializedStyles;
  selected: SerializedStyles;
  'selected.bold': SerializedStyles;
  danger: SerializedStyles;
  'danger.bold': SerializedStyles;
  warning: SerializedStyles;
  'warning.bold': SerializedStyles;
  success: SerializedStyles;
  'success.bold': SerializedStyles;
  discovery: SerializedStyles;
  'discovery.bold': SerializedStyles;
  information: SerializedStyles;
  'information.bold': SerializedStyles;
  'color.blanket': SerializedStyles;
  'color.blanket.selected': SerializedStyles;
  'color.blanket.danger': SerializedStyles;
  'elevation.surface': SerializedStyles;
  'elevation.surface.sunken': SerializedStyles;
  'elevation.surface.raised': SerializedStyles;
  'elevation.surface.overlay': SerializedStyles;
};

declare const backgroundHoverColorMap: {
  'inverse.subtle': SerializedStyles;
  input: SerializedStyles;
  neutral: SerializedStyles;
  'neutral.subtle': SerializedStyles;
  'neutral.bold': SerializedStyles;
  'brand.bold': SerializedStyles;
  selected: SerializedStyles;
  'selected.bold': SerializedStyles;
  danger: SerializedStyles;
  'danger.bold': SerializedStyles;
  warning: SerializedStyles;
  'warning.bold': SerializedStyles;
  success: SerializedStyles;
  'success.bold': SerializedStyles;
  discovery: SerializedStyles;
  'discovery.bold': SerializedStyles;
  information: SerializedStyles;
  'information.bold': SerializedStyles;
};

declare interface BasePrimitiveProps {
  /**
   * A unique string that appears as data attribute `data-testid` in the rendered code, serving as a hook for automated tests.
   */
  testId?: string;
  /**
   * Inline styles to be applied to the primitive.
   * Marked as "unsafe" because any CSS properties can be provided here without any extra control or validation, including those that would be better managed by the primitive itself via props.
   * Effectively equivalent to the standard `style` prop but marked with a special name so we can rationalise its usage IN THE FUTURE.
   */
  UNSAFE_style?: CSSProperties;
}

declare type BorderColor = keyof typeof borderColorMap;

/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::ebb55786a54803214357d0eef0cac448>>
 * @codegenId colors
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["border", "background"]
 */
declare const borderColorMap: {
  'color.border': SerializedStyles;
  bold: SerializedStyles;
  inverse: SerializedStyles;
  focused: SerializedStyles;
  input: SerializedStyles;
  disabled: SerializedStyles;
  brand: SerializedStyles;
  selected: SerializedStyles;
  danger: SerializedStyles;
  warning: SerializedStyles;
  success: SerializedStyles;
  discovery: SerializedStyles;
  information: SerializedStyles;
};

declare type BorderRadius = keyof typeof borderRadiusMap;

declare const borderRadiusMap: {
  normal: SerializedStyles;
  rounded: SerializedStyles;
  badge: SerializedStyles;
};

declare type BorderStyle = keyof typeof borderStyleMap;

declare const borderStyleMap: {
  none: SerializedStyles;
  solid: SerializedStyles;
  dashed: SerializedStyles;
  dotted: SerializedStyles;
};

declare type BorderWidth = keyof typeof borderWidthMap;

declare const borderWidthMap: {
  '0px': SerializedStyles;
  '1px': SerializedStyles;
  '2px': SerializedStyles;
  '3px': SerializedStyles;
};

declare type Display = keyof typeof displayMap;

declare const displayMap: {
  block: SerializedStyles;
  inline: SerializedStyles;
  flex: SerializedStyles;
  inlineFlex: SerializedStyles;
};

declare type FlexAlignItems = keyof typeof flexAlignItemsMap;

declare type FlexAlignItems_2 = keyof typeof flexAlignItemsMap_2;

declare type FlexAlignItems_3 = keyof typeof flexAlignItemsMap_3;

declare const flexAlignItemsMap: {
  center: SerializedStyles;
  baseline: SerializedStyles;
  flexStart: SerializedStyles;
  flexEnd: SerializedStyles;
};

declare const flexAlignItemsMap_2: {
  center: SerializedStyles;
  baseline: SerializedStyles;
  flexStart: SerializedStyles;
  flexEnd: SerializedStyles;
};

declare const flexAlignItemsMap_3: {
  center: SerializedStyles;
  baseline: SerializedStyles;
  flexStart: SerializedStyles;
  flexEnd: SerializedStyles;
};

declare type FlexDirection = keyof typeof flexDirectionMap;

declare const flexDirectionMap: {
  column: SerializedStyles;
  row: SerializedStyles;
};

declare type FlexJustifyContent = keyof typeof flexJustifyContentMap;

declare type FlexJustifyContent_2 = keyof typeof flexJustifyContentMap_2;

declare type FlexJustifyContent_3 = keyof typeof flexJustifyContentMap_3;

declare const flexJustifyContentMap: {
  center: SerializedStyles;
  flexStart: SerializedStyles;
  flexEnd: SerializedStyles;
};

declare const flexJustifyContentMap_2: {
  center: SerializedStyles;
  flexStart: SerializedStyles;
  flexEnd: SerializedStyles;
};

declare const flexJustifyContentMap_3: {
  center: SerializedStyles;
  flexStart: SerializedStyles;
  flexEnd: SerializedStyles;
};

declare type FontSize = keyof typeof fontSizeMap;

declare const fontSizeMap: {
  '11px': SerializedStyles;
  '12px': SerializedStyles;
  '14px': SerializedStyles;
};

declare type FontWeight = keyof typeof fontWeightMap;

declare const fontWeightMap: {
  '400': SerializedStyles;
  '500': SerializedStyles;
  '700': SerializedStyles;
};

declare type GlobalSpacingToken = keyof typeof UNSAFE_SPACING_SCALE;

declare interface InlineProps extends BasePrimitiveProps {
  /**
   * Used to align children along the cross axis.
   */
  alignItems?: FlexAlignItems_2;
  /**
   * Used to align children along the main axis.
   */
  justifyContent?: FlexJustifyContent_2;
  /**
   * Token representing gap between children.
   */
  gap: GlobalSpacingToken;
  /**
   * Renders a divider between children.
   * If a string is provided it will automatically be wrapped in a `<Text>` component.
   */
  divider?: ReactNode;
  /**
   * Elements to be rendered inside the Inline.
   */
  children: ReactNode;
}

declare type InteractionBackgroundColor = keyof typeof backgroundHoverColorMap;

declare interface InteractionSurfaceProps extends BasePrimitiveProps {
  children?: ReactNode;
  appearance?: InteractionBackgroundColor;
}

declare type LineHeight = keyof typeof lineHeightMap;

declare const lineHeightMap: {
  '12px': SerializedStyles;
  '16px': SerializedStyles;
  '20px': SerializedStyles;
  '24px': SerializedStyles;
  '28px': SerializedStyles;
  '32px': SerializedStyles;
  '40px': SerializedStyles;
};

declare const positionMap: {
  absolute: SerializedStyles;
  relative: SerializedStyles;
  static: SerializedStyles;
};

declare interface StackProps extends BasePrimitiveProps {
  /**
   * Used to align children along the cross axis.
   */
  alignItems?: FlexAlignItems_3;
  /**
   * Used to align children along the main axis.
   */
  justifyContent?: FlexJustifyContent_3;
  /**
   * Token representing gap between children.
   */
  gap: GlobalSpacingToken;
  /**
   * Elements to be rendered inside the Stack.
   */
  children: ReactNode;
}

declare type TextAlign = keyof typeof textAlignMap;

declare const textAlignMap: {
  center: SerializedStyles;
  end: SerializedStyles;
  start: SerializedStyles;
};

declare type TextColor = keyof typeof textColorMap;

/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::140ffff6e1310c1c37e2067e2c232b92>>
 * @codegenId colors
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["text"]
 */
declare const textColorMap: {
  'color.text': SerializedStyles;
  subtle: SerializedStyles;
  subtlest: SerializedStyles;
  disabled: SerializedStyles;
  inverse: SerializedStyles;
  brand: SerializedStyles;
  selected: SerializedStyles;
  danger: SerializedStyles;
  warning: SerializedStyles;
  'warning.inverse': SerializedStyles;
  success: SerializedStyles;
  discovery: SerializedStyles;
  information: SerializedStyles;
};

declare type TextTransform = keyof typeof textTransformMap;

declare const textTransformMap: {
  none: SerializedStyles;
  lowercase: SerializedStyles;
  uppercase: SerializedStyles;
};

/**
 * __Box__
 *
 * Box is a primitive component that has the design decisions of the Atlassian Design System baked in.
 * Renders a `div` by default.
 *
 * @internal
 */
export declare const UNSAFE_Box: ForwardRefExoticComponent<
  UNSAFE_BoxProps<HTMLElement> & RefAttributes<HTMLElement>
>;

export declare interface UNSAFE_BoxProps<T extends HTMLElement = HTMLElement>
  extends Omit<HTMLAttributes<T>, 'style' | 'as' | 'className'>,
    BasePrimitiveProps {
  /**
   * The DOM element to render as the Box. Defaults to `div`.
   */
  as?: ElementType;
  /**
   * Elements to be rendered inside the Box.
   */
  children?: ReactNode;
  /**
   * The html className attribute.
   *
   * Before using this prop please ensure:
   * - The styles cannot otherwise be achieved through `Box` directly.
   * - The use case needs custom styles that cannot be designed or implemented differently
   *
   * Ensure you're using the `@atlaskit/eslint-plugin-design-system` with this prop to prevent unbounded usage.
   *
   * @see `@atlaskit/eslint-plugin-design-system`
   */
  className?: string;
  /**
   * Token representing background color with a fallback.
   */
  backgroundColor?: [BackgroundColor, string];
  /**
   * Defines border style.
   */
  borderStyle?: BorderStyle;
  /**
   * Defines border width.
   */
  borderWidth?: BorderWidth;
  /**
   * Token representing border color with a fallback.
   */
  borderColor?: [BorderColor, string];
  /**
   * Defines border radius.
   */
  borderRadius?: BorderRadius;
  /**
   * Defines the main axis direction.
   */
  flexDirection?: FlexDirection;
  /**
   * Used to align children along the cross axis.
   */
  alignItems?: FlexAlignItems;
  /**
   * Used to align children along the main axis.
   */
  justifyContent?: FlexJustifyContent;
  /**
   * Shorthand for `paddingBlock` and `paddingInline` together.
   *
   * @see paddingBlock
   * @see paddingInline
   */
  padding?: GlobalSpacingToken;
  /**
   * Token representing CSS `padding-block`.
   */
  paddingBlock?: GlobalSpacingToken;
  /**
   * Token representing CSS `padding-inline`.
   */
  paddingInline?: GlobalSpacingToken;
  /**
   * Token representing width.
   */
  width?: GlobalSpacingToken;
  /**
   * Token representing height.
   */
  height?: GlobalSpacingToken;
  /**
   * Defines display type and layout. Defaults to `flex`.
   */
  display?: Display;
  /**
   * CSS position property.
   */
  position?: keyof typeof positionMap;
}

/**
 * __Inline__
 *
 * Inline is a primitive component based on flexbox that manages the horizontal layout of direct children.
 * Renders a `div` by default.
 *
 */
export declare const UNSAFE_Inline: ForwardRefExoticComponent<
  InlineProps & RefAttributes<HTMLDivElement>
>;

/**
 *
 * @example
 * ```js
 * // a minimal icon button
 * <Box as="button">
 *   <InteractionSurface />
 *   <WarningIcon label="icon button" />
 * </Box>
 * ```
 */
export declare const UNSAFE_InteractionSurface: ({
  appearance,
  children,
  testId,
}: InteractionSurfaceProps) => jsx.JSX.Element;

export declare const UNSAFE_SPACING_SCALE: {
  'sp-0': number;
  'sp-25': number;
  'sp-50': number;
  'sp-75': number;
  'sp-100': number;
  'sp-150': number;
  'sp-200': number;
  'sp-300': number;
  'sp-400': number;
  'sp-500': number;
  'sp-600': number;
  'sp-800': number;
};

/**
 * __Stack__
 *
 * Stack is a primitive component based on flexbox that manages the vertical layout of direct children.
 * Renders a `div` by default.
 *
 */
export declare const UNSAFE_Stack: ForwardRefExoticComponent<
  StackProps & RefAttributes<HTMLDivElement>
>;

/**
 * __Text__
 *
 * Text is a primitive component that has the Atlassian Design System's design guidelines baked in.
 * This includes considerations for text attributes such as color, font size, font weight, and line height.
 * It renders a `span` by default.
 *
 * @internal
 */
export declare const UNSAFE_Text: FC<UNSAFE_TextProps>;

export declare interface UNSAFE_TextProps extends BasePrimitiveProps {
  /**
   * HTML tag to be rendered. Defaults to `span`.
   */
  as?: AsElement;
  /**
   * Elements rendered within the Text element
   */
  children: ReactNode;
  /**
   * Text color
   */
  color?: [TextColor, string];
  /**
   * Font size https://developer.mozilla.org/en-US/docs/Web/CSS/font-size
   */
  fontSize?: FontSize;
  /**
   * Font weight https://developer.mozilla.org/en-US/docs/Web/CSS/font-weight
   */
  fontWeight?: FontWeight;
  /**
   * Line height https://developer.mozilla.org/en-US/docs/Web/CSS/line-height
   */
  lineHeight?: LineHeight;
  /**
   * Truncates text with an ellipsis when text overflows its parent container
   * (i.e. `width` has been set on parent that is shorter than text length).
   */
  shouldTruncate?: boolean;
  /**
   * Text align https://developer.mozilla.org/en-US/docs/Web/CSS/text-align
   */
  textAlign?: TextAlign;
  /**
   * Text transform https://developer.mozilla.org/en-US/docs/Web/CSS/text-transform
   */
  textTransform?: TextTransform;
  /**
   * Vertical align https://developer.mozilla.org/en-US/docs/Web/CSS/vertical-align
   */
  verticalAlign?: VerticalAlign;
}

declare type VerticalAlign = keyof typeof verticalAlignMap;

declare const verticalAlignMap: {
  top: SerializedStyles;
  middle: SerializedStyles;
  bottom: SerializedStyles;
};

export {};
````
